repo/gentoo:master commit in: dev-python/python-dotenv/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786944483.5343cbeaa7c59bc9eb2cc34768ab42d0bc7a0e5c.mgorny@gentoo> |
commit: 5343cbeaa7c59bc9eb2cc34768ab42d0bc7a0e5c
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 17 04:46:01 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 05:28:03 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5343cbea
dev-python/python-dotenv: Bump to 1.2.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-dotenv/Manifest | 2 +
.../python-dotenv/python-dotenv-1.2.3.ebuild | 47 ++++++++++++++++++++++
2 files changed, 49 insertions(+)
diff --git a/dev-python/python-dotenv/Manifest b/dev-python/python-dotenv/Manifest
index 24cbe2160bf5..7e332a9a28e9 100644
--- a/dev-python/python-dotenv/Manifest
+++ b/dev-python/python-dotenv/Manifest
@@ -1,2 +1,4 @@
DIST python_dotenv-1.2.2.tar.gz 50135 BLAKE2B 3d920de9a24370b988ccff6538dd8fb751db953b627e43fc9c8226eeab412edeb5e836d2634e411413f397736f42cdea8d7effbc3d96006548eceb4815d2166f SHA512 2bd70a739dd76d95c30d8272e80e2e168cd41ed1f367da73e044bbe40bd93f5ee3569ece3d050c130c06dfcc9865d7acdb24ca83243868b551e03289821cb2a1
DIST python_dotenv-1.2.2.tar.gz.provenance 9568 BLAKE2B 4b5a52cb1b096f8344efbbb897286855f546ae88668f28cfe3959847a2d2fcffc3bfd8cf404bd339deb4d67f64b495c341e629d0c9d23ac1f2af0b8af8537745 SHA512 462ad4c29bda0396d2d2ee2da39badedcb89603d2d1efb0fb518ba47810aa8804d64389f21da299413405e159dd736459a817043fb927ff6bac048220d9394cc
+DIST python_dotenv-1.2.3.tar.gz 58945 BLAKE2B 8cfbc7fe1893168cf0f720c8228eb6e7f39f2ec5be7c64a2ebd25e121335e3aaa83842851011bba3fe14f1a8a3222b8c2ae78432540420d80e36785a95566c9d SHA512 a90a9471f3a1e28300ee86ca29f8e94dbb881144353cbe5a97a8378bf73fd86f26ecf472a1052a94b503af5d7ebaf70c159063a75ea19510d32c6c2861e62ec4
+DIST python_dotenv-1.2.3.tar.gz.provenance 9950 BLAKE2B 70ce4054a14a1e2179551e6ae4ce96d70b5cb3cdbdeca190695a960216d58fdcc7938bff74ae13fc2020d4e759f6e4c7723c66d051eb074470bafebe4404d003 SHA512 23bb92bba9a56f8e0951d0df121d13cbc0ee9cc1921338eff6255da3c9cb6054813d54c6310c129636bc12b1a351ab58f462159ce84e72865c63188079cc8aa6
diff --git a/dev-python/python-dotenv/python-dotenv-1.2.3.ebuild b/dev-python/python-dotenv/python-dotenv-1.2.3.ebuild
new file mode 100644
index 000000000000..367aba9ea8c5
--- /dev/null
+++ b/dev-python/python-dotenv/python-dotenv-1.2.3.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/theskumar/python-dotenv
+PYTHON_COMPAT=( python3_{12..15} python3_{14,15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage .env files"
+HOMEPAGE="
+ https://github.com/theskumar/python-dotenv/
+ https://pypi.org/project/python-dotenv/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ >=dev-python/click-5[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -o tmp_path_retention_policy=all
+}
+
+python_install() {
+ distutils-r1_python_install
+ ln -s dotenv "${D}$(python_get_scriptdir)"/python-dotenv || die
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ # Avoid collision with dev-ruby/dotenv (bug #798648)
+ mv "${ED}"/usr/bin/{,python-}dotenv || die
+}